Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(33)

Issue 1051433002: Improvements to the offline intersitial and easter egg (Closed)

Created:
4 years, 4 months ago by edwardjung
Modified:
4 years, 4 months ago
CC:
chromium-reviews, cbentzel+watch_chromium.org, asvitkine+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Improvements to the offline intersitial and easter egg - Fix right click restart bug. - Switched image assets to use sprite sheets. - Fix resizing whilst jumping causes delays bug. - Add UMA counter for easter egg. - Gameplay tweaks. BUG=464330, 453853 Committed: https://crrev.com/8633d1fd54cb3cd6dc0aba0dc01f8284e5158ac2 Cr-Commit-Position: refs/heads/master@{#323703}

Patch Set 1 #

Patch Set 2 : Style and spelling updates. #

Patch Set 3 : #

Total comments: 13

Patch Set 4 : Switch tracking to use existing histogram metric. #

Patch Set 5 : Remove actions.xml and unused includes #

Total comments: 2

Patch Set 6 : Fix nits #

Patch Set 7 : Darn it, keep forgetting CrOS has a separate offline template! #

Unified diffs Side-by-side diffs Delta from patch set Stats (+363 lines, -180 lines) Patch
M chrome/browser/resources/chromeos/offline_net_load.html View 1 2 3 4 5 6 1 chunk +2 lines, -18 lines 0 comments Download
M chrome/renderer/net/net_error_helper.h View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/renderer/net/net_error_helper.cc View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/renderer/net/net_error_page_controller.h View 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/renderer/net/net_error_page_controller.cc View 1 2 3 4 2 chunks +13 lines, -1 line 0 comments Download
D chrome/renderer/resources/default_100_percent/offline/100-cloud.png View Binary file 0 comments Download
D chrome/renderer/resources/default_100_percent/offline/100-horizon.png View Binary file 0 comments Download
D chrome/renderer/resources/default_100_percent/offline/100-obstacle-large-sprite.png View Binary file 0 comments Download
D chrome/renderer/resources/default_100_percent/offline/100-obstacle-small-sprite.png View Binary file 0 comments Download
A chrome/renderer/resources/default_100_percent/offline/100-offline-sprite.png View Binary file 0 comments Download
D chrome/renderer/resources/default_100_percent/offline/100-offline-trex.png View Binary file 0 comments Download
D chrome/renderer/resources/default_100_percent/offline/100-restart.png View Binary file 0 comments Download
D chrome/renderer/resources/default_100_percent/offline/100-text-sprite.png View Binary file 0 comments Download
D chrome/renderer/resources/default_200_percent/offline/200-cloud.png View Binary file 0 comments Download
D chrome/renderer/resources/default_200_percent/offline/200-horizon.png View Binary file 0 comments Download
D chrome/renderer/resources/default_200_percent/offline/200-obstacle-large-sprite.png View Binary file 0 comments Download
D chrome/renderer/resources/default_200_percent/offline/200-obstacle-small-sprite.png View Binary file 0 comments Download
A chrome/renderer/resources/default_200_percent/offline/200-offline-sprite.png View Binary file 0 comments Download
D chrome/renderer/resources/default_200_percent/offline/200-offline-trex.png View Binary file 0 comments Download
D chrome/renderer/resources/default_200_percent/offline/200-restart.png View Binary file 0 comments Download
D chrome/renderer/resources/default_200_percent/offline/200-text-sprite.png View Binary file 0 comments Download
M chrome/renderer/resources/neterror.html View 1 chunk +2 lines, -18 lines 0 comments Download
M chrome/renderer/resources/offline.js View 1 2 3 61 chunks +328 lines, -143 lines 0 comments Download
M components/error_page/common/net_error_info.h View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M components/error_page/renderer/net_error_helper_core.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/error_page/renderer/net_error_helper_core.cc View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 25 (8 generated)
edwardjung
mmenke could you take a look at: chrome/renderer/net/net_error_page_controller.h chrome/renderer/net/net_error_page_controller.cc arv resources files: chrome/renderer/resources/* asvitkine: tools/metrics/actions/actions.xml ...
4 years, 4 months ago (2015-03-31 18:27:11 UTC) #2
mmenke
net_error_page_controller LGTM https://codereview.chromium.org/1051433002/diff/40001/chrome/renderer/net/net_error_page_controller.cc File chrome/renderer/net/net_error_page_controller.cc (right): https://codereview.chromium.org/1051433002/diff/40001/chrome/renderer/net/net_error_page_controller.cc#newcode93 chrome/renderer/net/net_error_page_controller.cc:93: base::UserMetricsAction("DinosaurEasterEgg")); nit: +2 indent
4 years, 4 months ago (2015-03-31 18:39:08 UTC) #3
Alexei Svitkine (slow)
https://codereview.chromium.org/1051433002/diff/40001/chrome/renderer/net/net_error_page_controller.cc File chrome/renderer/net/net_error_page_controller.cc (right): https://codereview.chromium.org/1051433002/diff/40001/chrome/renderer/net/net_error_page_controller.cc#newcode93 chrome/renderer/net/net_error_page_controller.cc:93: base::UserMetricsAction("DinosaurEasterEgg")); Is there a reason you're using an action ...
4 years, 4 months ago (2015-03-31 19:08:40 UTC) #4
arv (Not doing code reviews)
LGTM with nits https://codereview.chromium.org/1051433002/diff/40001/chrome/renderer/resources/offline.js File chrome/renderer/resources/offline.js (right): https://codereview.chromium.org/1051433002/diff/40001/chrome/renderer/resources/offline.js#newcode275 chrome/renderer/resources/offline.js:275: * Cache the approprate image sprite ...
4 years, 4 months ago (2015-03-31 19:10:56 UTC) #5
edwardjung
Alexei, I've updated the code to now use the existing histogram. Please take another look. ...
4 years, 4 months ago (2015-04-01 10:40:47 UTC) #6
Alexei Svitkine (slow)
histograms lgtm https://codereview.chromium.org/1051433002/diff/80001/chrome/renderer/net/net_error_helper.h File chrome/renderer/net/net_error_helper.h (right): https://codereview.chromium.org/1051433002/diff/80001/chrome/renderer/net/net_error_helper.h#newcode87 chrome/renderer/net/net_error_helper.h:87: void TrackActivatedEasterEgg(); Nit: Add an empty line ...
4 years, 4 months ago (2015-04-01 14:03:06 UTC) #7
edwardjung
All done. mmenke, could I get a re review of the changes to: components/error_page/common/net_error_info.h components/error_page/renderer/net_error_helper_core.h ...
4 years, 4 months ago (2015-04-02 16:26:34 UTC) #8
mmenke
components/error_page still LGTM (And looks better than before). On 2015/04/02 16:26:34, edwardjung wrote: > All ...
4 years, 4 months ago (2015-04-02 16:30:56 UTC) #9
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1051433002/100001
4 years, 4 months ago (2015-04-02 16:33:11 UTC) #12
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1051433002/100001
4 years, 4 months ago (2015-04-02 16:47:23 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1051433002/100001
4 years, 4 months ago (2015-04-02 17:02:35 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/4133)
4 years, 4 months ago (2015-04-02 17:56:56 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1051433002/120001
4 years, 4 months ago (2015-04-02 18:18:33 UTC) #19
commit-bot: I haz the power
This issue passed the CQ dry run.
4 years, 4 months ago (2015-04-03 04:52:45 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1051433002/120001
4 years, 4 months ago (2015-04-03 08:29:53 UTC) #23
commit-bot: I haz the power
Committed patchset #7 (id:120001)
4 years, 4 months ago (2015-04-03 08:31:46 UTC) #24
commit-bot: I haz the power
4 years, 4 months ago (2015-04-03 20:36:00 UTC) #25
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/8633d1fd54cb3cd6dc0aba0dc01f8284e5158ac2
Cr-Commit-Position: refs/heads/master@{#323703}

Powered by Google App Engine
This is Rietveld 408576698